xcb_shm_detach(3)

NAME
xcb_shm_detach - Destroys the specified shared memory segment.

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_detach(xcb_connection_t *conn, xcb_shm_seg_t shmseg);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

shmseg
    The segment to be destroyed.

DESCRIPTION
Destroys the specified shared memory segment. This will never fail unless the segment number is incorrect.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_detach_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO
xcb-requests(3)

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.